org.jboss.resteasy.security.smime

## Class SMIMEOutput

- java.lang.Object
- - org.jboss.resteasy.security.smime.SMIMEOutput

- Direct Known Subclasses:
    EnvelopedOutput, SignedOutput

      public class SMIMEOutput
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected X509Certificate` | `certificate`
    `protected Object` | `entity`
    `protected Type` | `genericType`
    `protected MediaType` | `mediaType`
    `protected Class` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMIMEOutput(Object obj, MediaType mediaType)`
    `SMIMEOutput(Object obj, String mediaType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate` | `getCertificate()`
    `Object` | `getEntity()`
    `Type` | `getGenericType()`
    `MediaType` | `getMediaType()`
    `Class` | `getType()`
    `void` | `setCertificate(X509Certificate certificate)`
    `void` | `setEntity(Object entity)`
    `void` | `setGenericType(Type genericType)`
    `void` | `setMediaType(MediaType mediaType)`
    `void` | `setMediaType(String mediaType)`
    `void` | `setType(Class type)`
    `void` | `setType(GenericType t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entity

          protected Object entity

    - #### genericType

          protected Type genericType

    - #### type

          protected Class type

    - #### mediaType

          protected MediaType mediaType

    - #### certificate

          protected X509Certificate certificate

  - ### Constructor Detail

    - #### SMIMEOutput

          public SMIMEOutput(Object obj,
                     String mediaType)

    - #### SMIMEOutput

          public SMIMEOutput(Object obj,
                     MediaType mediaType)

  - ### Method Detail

    - #### getEntity

          public Object getEntity()

    - #### setEntity

          public void setEntity(Object entity)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType(Type genericType)

    - #### getType

          public Class getType()

    - #### setType

          public void setType(Class type)

    - #### setType

          public void setType(GenericType t)

    - #### getMediaType

          public MediaType getMediaType()

    - #### setMediaType

          public void setMediaType(MediaType mediaType)

    - #### setMediaType

          public void setMediaType(String mediaType)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate(X509Certificate certificate)

Copyright © 2014. All Rights Reserved.